none
Cant Provision PWA in 2010 after full DB migration from 2007 RRS feed

  • Question

  • Hi,

    I followed the Technet article for full DB migration from Project server 2007 to 2010

    When I restored the four DBs of the Project server (Archive, Draft, Published, Reporting), and tried to provision a new PWA in 2010, it fails

    Looking at the logs, I had four error messages for the four DBs

    This is a sample for the Draft DB:

    [Microsoft.Office.Project.Server.Upgrade.WorkingDatabaseSequence] cannot upgrade an object [ProjectDatabase Name=ProjectServer_Draft] whose build version [12.0.0.4518] is too old. Upgrade requires [12.0.6218.1000] or higher.

    I think I have to update the Project Server 2007 up to a certain limit, but cant figure out what to do

    Project Server 2007 is WSS SP2 and Project Server SP2

    Thank you in advance


    Associate EPM Consultant
    Friday, September 9, 2011 9:00 AM

Answers

All replies

  • Hi Motasem,

    Build version 12.0.0.4518 is RTM.

    Upgrading to Project Server 2010 requires your databases to be at least SP2.

    You say you have installed SP2 for both WSS and Project Server 2007. Have you run the SharePoint Products and Technologies configuration wizard after installing SP2 for WSS and Project Server 2007? This is necessary to also update the databases with SP2.

    Based on the error number, it seems you have not run the wizard. After doing this, take new DB backups and try again with the database attach method.

    I hope this helps,
    Hans


    My EPM blog: Projectopolis
    Friday, September 9, 2011 9:11 AM
    Moderator
  • Hi Hans,

    I ran the Wizard on 2007; backed up and restored the DBs to 2010; Provisioned PWA: Failed with the same error

    Then, I ran the wizard on 2010; also failed with the same error (shown below)

    Also, am not sure if this helps or not; Project Server 2007 is SQL 2005 (x32) SP3 + CU3

    While Project Server 2010 is SQL 2008 R2 (x64)

    [Microsoft.Office.Project.Server.Upgrade.WorkingDatabaseSequence] cannot upgrade an object [ProjectDatabase Name=ProjectServer_Draft] whose build version [12.0.0.4518] is too old. Upgrade requires [12.0.6218.1000] or higher.
    [OWSTIMER] [SPUpgradeSession] [INFO] [9/10/2011 8:52:20 AM]: ProjectSite Name=c6ab1237-df4f-486a-8e29-b7c020c768cb
    [OWSTIMER] [SPUpgradeSession] [ERROR] [9/10/2011 8:52:20 AM]: Cannot upgrade [ProjectDatabase Name=ProjectServer_Draft].
    [OWSTIMER] [VersionsDatabaseSequence] [INFO] [9/10/2011 8:52:21 AM]: ProjectSite Name=c6ab1237-df4f-486a-8e29-b7c020c768cb
    [OWSTIMER] [VersionsDatabaseSequence] [ERROR] [9/10/2011 8:52:21 AM]: Sequence



    Associate EPM Consultant
    Saturday, September 10, 2011 3:55 PM
  • HI There,

    have you perhaps checked the version nr's of the other 3 Project Databases. I have to agree with Hans, it looks like the config wizard has not been run yet. Now could be that even though you did run it something else might have gone wrong. Have you looked at the Upgrade log after running the Config Wizard ?

    See if there are perhaps anything in that log that might point to why it has hapened.

    Otherwise i would open a call on the Partner Forum

    Andre

     


    http://av-epm.blogspot.com
    Sunday, September 11, 2011 6:09 AM
  • Hi,

    Am sorry am that late at replying, but here is what I did (and it took me that long):

    1. Upgraded the SQL 2005 to SP4

    2. Installed CU3 for SQL 2005 SP4 + all latest updates

    3. Run the SharePoint Config Wizard

    4. Backed up the DBs and restored them on Project Server 2010 (SQL 2008 R2)

    5. Provisioned new PWA

    The result is the same :(((

    Where did I go wrong??

     

    [OWSTIMER] [PublishedDatabaseSequence] [INFO] [9/13/2011 6:51:18 AM]: ProjectSite Name=c6ab1237-df4f-486a-8e29-b7c020c768cb
    [OWSTIMER] [PublishedDatabaseSequence] [ERROR] [9/13/2011 6:51:18 AM]: Sequence [Microsoft.Office.Project.Server.Upgrade.PublishedDatabaseSequence] cannot upgrade an object [ProjectDatabase Name=ProjectServer_Published] whose build version [12.0.0.4518] is too old. Upgrade requires [12.0.6218.1000] or higher.
    [OWSTIMER] [SPUpgradeSession] [INFO] [9/13/2011 6:51:18 AM]: ProjectSite Name=c6ab1237-df4f-486a-8e29-b7c020c768cb
    [OWSTIMER] [SPUpgradeSession] [ERROR] [9/13/2011 6:51:18 AM]: Cannot upgrade [ProjectDatabase Name=ProjectServer_Published].


    [OWSTIMER] [WorkingDatabaseSequence] [INFO] [9/13/2011 6:51:19 AM]: ProjectSite Name=c6ab1237-df4f-486a-8e29-b7c020c768cb
    [OWSTIMER] [WorkingDatabaseSequence] [ERROR] [9/13/2011 6:51:19 AM]: Sequence [Microsoft.Office.Project.Server.Upgrade.WorkingDatabaseSequence] cannot upgrade an object [ProjectDatabase Name=ProjectServer_Draft] whose build version [12.0.0.4518] is too old. Upgrade requires [12.0.6218.1000] or higher.
    [OWSTIMER] [SPUpgradeSession] [INFO] [9/13/2011 6:51:19 AM]: ProjectSite Name=c6ab1237-df4f-486a-8e29-b7c020c768cb
    [OWSTIMER] [SPUpgradeSession] [ERROR] [9/13/2011 6:51:19 AM]: Cannot upgrade [ProjectDatabase Name=ProjectServer_Draft].


    [OWSTIMER] [VersionsDatabaseSequence] [INFO] [9/13/2011 6:51:19 AM]: ProjectSite Name=c6ab1237-df4f-486a-8e29-b7c020c768cb
    [OWSTIMER] [VersionsDatabaseSequence] [ERROR] [9/13/2011 6:51:19 AM]: Sequence [Microsoft.Office.Project.Server.Upgrade.VersionsDatabaseSequence] cannot upgrade an object [ProjectDatabase Name=ProjectServer_Archive] whose build version [12.0.0.4518] is too old. Upgrade requires [12.0.6218.1000] or higher.
    [OWSTIMER] [SPUpgradeSession] [INFO] [9/13/2011 6:51:19 AM]: ProjectSite Name=c6ab1237-df4f-486a-8e29-b7c020c768cb
    [OWSTIMER] [SPUpgradeSession] [ERROR] [9/13/2011 6:51:19 AM]: Cannot upgrade [ProjectDatabase Name=ProjectServer_Archive].


    [OWSTIMER] [ReportingDatabaseSequence] [INFO] [9/13/2011 6:51:19 AM]: ProjectSite Name=c6ab1237-df4f-486a-8e29-b7c020c768cb
    [OWSTIMER] [ReportingDatabaseSequence] [ERROR] [9/13/2011 6:51:19 AM]: Sequence [Microsoft.Office.Project.Server.Upgrade.ReportingDatabaseSequence] cannot upgrade an object [ProjectDatabase Name=ProjectServer_Reporting] whose build version [12.0.0.4518] is too old. Upgrade requires [12.0.6218.1000] or higher.
    [OWSTIMER] [SPUpgradeSession] [INFO] [9/13/2011 6:51:19 AM]: ProjectSite Name=c6ab1237-df4f-486a-8e29-b7c020c768cb
    [OWSTIMER] [SPUpgradeSession] [ERROR] [9/13/2011 6:51:19 AM]: Cannot upgrade [ProjectDatabase Name=ProjectServer_Reporting].


    Associate EPM Consultant
    Tuesday, September 13, 2011 1:55 PM
  • It sounds like you need to update your PS 2007 instance first when I see this error, as mentioned in the TechNet guidance you need to have Service Pack 2 applied first: ProjectDatabase Name=ProjectServer_Published] whose build version [12.0.0.4518] is too old. Upgrade requires [12.0.6218.1000]
    Blog | Facebook | Twitter | Posting is provided "AS IS" with no warranties, and confers no rights.
    Project Server TechCenter | Project Developer Center | Project Server Help | Project Product Page
    Wednesday, September 14, 2011 12:56 AM
  • Dear All,

    I here declare that the migration has been implemented successfully :)

    The thing is, I installed:

    1. PS2007 Aug, 2011 Hotfix 

    2. WSS Aug, 2011 cumulative update server hotfix package 

    3. WSS Aug, 2011 hotfix package

     

    and that solved the old build version issue

    Thank you all for your replies


    Associate EPM Consultant
    Wednesday, September 14, 2011 8:48 AM